void setup() {
  size( 800, 800 );
  frameRate( 5 );
  textSize( 40 );
}

// 正num角形を描画する関数
void RegularPolygon( int x, int y, int R, int num )
{
  float theta = 0;
  // 正num角形の1角の角度は...
  float deltaTheta = 360.0/num;

  // 繰り返しで描画する
  int i=0;
  while ( i<num ) {
    float x1 = R * cos( radians(theta) ) + x;
    float y1 = R * sin( radians(theta) ) + y;
    float x2 = R * cos( radians(theta+deltaTheta) ) + x;
    float y2 = R * sin( radians(theta+deltaTheta) ) + y;
    line( x1, y1, x2, y2 );

    // 角度を増やしていく
    theta += deltaTheta;
    i++;
  }
}

void draw() { 
  background( 255 );
  //ellipse( width/2, height/2, R*2, R*2 );
  float len = 0;
  fill( 0 );

  // 最初の角数を3にする
  int number = 3;  
  for ( int y=0; y<4; y++ ) {
    for ( int x=0; x<4; x++ ) {
      // 指定のxy座標にひたすら描画していく
      RegularPolygon( x*200+100, y*200+100, 80, number );
      // 1つ描くたびに1つずつ角を増やしていく
      number++;
    }
  }
}

