void drawLissajous( int cx, int cy, int w, int a, int b ) {
  float t = 0;
  while ( t < 1000 ) {
    float x = w * sin( a * t );
    float y = w * sin( b * t );
    point( x+cx, y+cy );
    t = t + 0.01;
  }
}

void setup() {
  size( 800, 800 );
  background( 255 );
  stroke( 0 );
  fill( 0 );
  strokeWeight( 3 );
}


void draw() {
  for( int y=0; y<4; y++ ){
    for( int x=0; x<4; x++ ){
      drawLissajous( x*200+100, y*200+100, 50, x+1, y+1 );
    }
  }
}

