// カーソルの座標を保存する配列を作る
int [] cursorX = new int [50];
int [] cursorY = new int [50];

void setup() {
  size( 400, 400 );
  noFill();
}

void drawHuman( int x, int y ) {
  ellipse( x, y, 20, 20 );
  line( x, y+10, x, y+40 );
  line( x-20, y+10, x+20, y+10 );
  line( x, y+40, x-20, y+60 );
  line( x, y+40, x+20, y+60 );
}

void draw() {
  background( 255 );

  // 値を順にシフトする
  int i=49;
  while ( i > 0 ) {
    cursorX[i] = cursorX[i-1];
    cursorY[i] = cursorY[i-1];
    i--;
  }

  // 0番をマウスの座標とする
  cursorX[0] = mouseX;
  cursorY[0] = mouseY;
  i=49;
  while ( i >= 0 ) {
    // 色を薄くしつつ描画する
    stroke( 5*i );
    fill( 5*i );
    drawHuman( cursorX[i], cursorY[i] );
    i--;
  }
  fill( 255, 0, 0 );
  stroke( 255, 0, 0 );
  // 赤色で描画する
  drawHuman( cursorX[0], cursorY[0] );
}

