void setup() {
  size(600, 400);
}


float t = 0.0;
float v0 = 0.0;
float theta = 0.0;
float x = 0.0;
float y = 0.0;

// cx, cy に人を描く
void drawHuman( float cx, float cy ) {
  ellipse( cx, cy, 20, 20 );
  line( cx, cy+10, cx, cy+40 );
  line( cx-20, cy+10, cx+20, cy+10 );
  line( cx, cy+40, cx-20, cy+60 );
  line( cx, cy+40, cx+20, cy+60 );
}

void draw() {
  // 背景を白色で塗りつぶす
  background(255);
  // ジャンプ台の角度を計算する
  float theta2 = atan2( height-mouseY, mouseX );
  strokeWeight(5);
  // ジャンプ台を描く
  line( 0, height, 30*cos(theta2), height-30*sin(theta2) );
  // 表示する座標を計算する
  x = v0*t*cos(theta);
  y = v0*t*sin(theta)-0.5*9.8*t*t;

  // 壁にあたったあとは折り返す
  if ( x >= width ) {
    drawHuman( width*2-x, height-y );
  }    
  else {
    drawHuman( x, height-y );
  }
  
  // 時間を進める
  t = t + 0.1;
}

void mousePressed() {
  background(255);
  theta = atan2( height-mouseY, mouseX );
  t = 0.0;
  v0 = dist( mouseX, mouseY, 0, height );
}

